Skip to main content
POST
/
api
/
lookup
Email Lookup
curl --request POST \
  --url https://api.example.com/api/lookup \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>"
}
'
{
  "email": "satya@microsoft.com",
  "person": {
    "first_name": "Satya",
    "last_name": "Nadella",
    "company": "Microsoft",
    "job_role": "CEO"
  },
  "files": {
    "json": "/api/files/satya_at_microsoft_com.json",
    "csv": "/api/files/satya_at_microsoft_com.csv"
  }
}

Request

email
string
required
The email address to look up. Must be a valid email format.

Example request

curl -X POST https://encrata.com/api/lookup \
  -H "Content-Type: application/json" \
  -d '{"email": "satya@microsoft.com"}'

Response

email
string
The queried email address.
person
object
The person profile object.
files
object
Download links for result files.

Example response

{
  "email": "satya@microsoft.com",
  "person": {
    "first_name": "Satya",
    "middle_name": "",
    "last_name": "Nadella",
    "country": "US",
    "city": "Redmond",
    "company": "Microsoft",
    "industry": "Technology",
    "job_role": "CEO",
    "interests": "",
    "age": "",
    "gender": "Male",
    "ethnicity": "",
    "photo_url": "https://example.com/photo.jpg",
    "bio": "",
    "education": "",
    "education_level": "Master's",
    "university": "University of Wisconsin-Milwaukee",
    "field_of_study": "Computer Science",
    "nationality": "",
    "socials": {
      "linkedin": "https://linkedin.com/in/satyanadella",
      "twitter": "https://twitter.com/satloganadella",
      "instagram": "",
      "facebook": "",
      "github": ""
    },
    "news": [],
    "scholar": []
  },
  "files": {
    "json": "/api/files/satya_at_microsoft_com.json",
    "csv": "/api/files/satya_at_microsoft_com.csv"
  }
}
{
  "email": "satya@microsoft.com",
  "person": {
    "first_name": "Satya",
    "last_name": "Nadella",
    "company": "Microsoft",
    "job_role": "CEO"
  },
  "files": {
    "json": "/api/files/satya_at_microsoft_com.json",
    "csv": "/api/files/satya_at_microsoft_com.csv"
  }
}